Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#59715 - [mutt] gpgring and gpgewrap shoud be installed under /usr/lib/mutt/

Attached to Project: Arch Linux
Opened by Bruno Pagani (ArchangeGabriel) - Sunday, 19 August 2018, 09:31 GMT
Last edited by Gaetan Bisson (vesath) - Wednesday, 05 September 2018, 02:11 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Gaetan Bisson (vesath)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Currently, those binaries are under `/usr/bin`, which conflicts with other packages like signing-party which is waiting amongst other things for this to be solved before entering [community].

Debian does this for mutt, neomutt does this too, and I’m not exactly sure but I would say it’s just a missing `--libexecdir=/usr/lib` (haven’t tried though).
This task depends upon

Closed by  Gaetan Bisson (vesath)
Wednesday, 05 September 2018, 02:11 GMT
Reason for closing:  Implemented
Additional comments about closing:  mutt-1.10.1-2 in [extra]
Comment by Gaetan Bisson (vesath) - Monday, 20 August 2018, 05:36 GMT
It seems like upstream mutt installs pgpring and pgpewrap into /usr/bin on purpose. In the source tarball, see for instance Makefile.in and the line:

bin_PROGRAMS = mutt$(EXEEXT) $(DOTLOCK_TARGET) $(PGPAUX_TARGET)

In other words, the PGP aux stuff (defined by configure to be pgpring and pgpewrap) is installed as regular binaries just like mutt.

If neomutt has a patch for this, perhaps you could suggested it be incorporated in upstream mutt?
Comment by Bruno Pagani (ArchangeGabriel) - Monday, 20 August 2018, 09:34 GMT
I’ve dig into Debian sources, their patch is actually quite simple:
https://salsa.debian.org/mutt-team/mutt/blob/master/debian/patches/misc/gpg.rc-paths.patch

And they just move the two binaries manually in their packaging script. I don’t know how neomutt changed that (and I don’t have time currently to dig in their code), but in any case I’ve submitted https://gitlab.com/muttmua/mutt/issues/71.
Comment by Bruno Pagani (ArchangeGabriel) - Tuesday, 04 September 2018, 14:17 GMT
Upstream renamed their binary: https://gitlab.com/muttmua/mutt/commit/a2b289361d90360c37eb19cca2cf1216ab60fb7b

Can that commit be backported to our current version?

Loading...